<template>
  <div>
    <label for="minMax"> Prix </label>
    <b-row class="my-1 border rounded p-1">
      <b-col sm="2">
        <label> Min : </label>
      </b-col>
      <b-col sm="4">
        <b-form-input
          v-model="minPrice"
          min="0"
          :max="this.$store.getters.maxPriceAvailable"
          :id="`type-${type}`"
          :type="type"
          step="100"
        >
        </b-form-input>
      </b-col>
      <b-col sm="2">
        <label> Max : </label>
      </b-col>
      <b-col sm="4">
        <b-form-input
          v-model="maxPrice"
          min="0"
          :max="this.$store.getters.maxPriceAvailable"
          :id="`type-${type}`"
          :type="type"
          step="100"
        >  </b-form-input> 
      </b-col>
    </b-row>
  </div>
</template>

<script>
export default {
  data() {
    return {
      type: "number",
      minPrice: this.$store.getters.minPrice,
      maxPrice: this.$store.getters.maxPrice,
    };
  },
  watch: {
    minPrice(newValue) {
      this.$store.dispatch("updateMinPrice", newValue);
    },
    maxPrice(newValue) {
      this.$store.dispatch("updateMaxPrice", newValue);
    },
  },
  async beforeMount() {
    await this.$store.dispatch("fetchMaxPriceAvailable");
    this.minPrice = 0;
    this.maxPrice = this.$store.getters.maxPriceAvailable;
  },
};
</script>



<style>
#minMax {
  border-style: ridge;
}
</style>